# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "rapace-testkit"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Conformance test suite for rapace transports"
readme = false
license = "MIT OR Apache-2.0"
repository = "https://github.com/bearcove/rapace"

[lib]
name = "rapace_testkit"
path = "src/lib.rs"

[dependencies.facet]
version = "0.32.1"

[dependencies.facet-core]
version = "0.32.1"

[dependencies.facet-postcard]
version = "0.32.1"

[dependencies.futures]
version = "0.3"

[dependencies.parking_lot]
version = "0.12"

[dependencies.rapace]
version = "0.1.0"

[dependencies.rapace-core]
version = "0.1.0"

[dependencies.rapace-macros]
version = "0.1.0"

[dependencies.rapace-registry]
version = "0.1.0"

[dependencies.tokio]
version = "1"
features = [
    "sync",
    "rt",
    "macros",
    "time",
]

[dependencies.tokio-stream]
version = "0.1"

[dependencies.tracing]
version = "0.1"
